/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbMappingObj {

    private String itemOrder;
    private String taxonomyItemId;
    private String itemType;
    private String parentTaxonomyItemId;
    private String parentItemType;
    private String contextType;
    private String itemValue;
    private String entity;
    private String period;
    private String unit;
    private String itemPrecision;
    private String itemDecimal;
    private String parentEtcId;
    private String value;

    /**
     * contextTypeを取得します。
     * @return contextType
     */
    protected String getContextType() {
        return contextType;
    }

    /**
     * contextTypeを設定します。
     * @param contextType contextType
     */
    protected void setContextType(String contextType) {
        this.contextType = contextType;
    }

    /**
     * entityを取得します。
     * @return entity
     */
    protected String getEntity() {
        return entity;
    }

    /**
     * entityを設定します。
     * @param entity entity
     */
    protected void setEntity(String entity) {
        this.entity = entity;
    }

    /**
     * itemDecimalを取得します。
     * @return itemDecimal
     */
    protected String getItemDecimal() {
        return itemDecimal;
    }

    /**
     * itemDecimalを設定します。
     * @param itemDecimal itemDecimal
     */
    protected void setItemDecimal(String itemDecimal) {
        this.itemDecimal = itemDecimal;
    }

    /**
     * itemOrderを取得します。
     * @return itemOrder
     */
    protected String getItemOrder() {
        return itemOrder;
    }

    /**
     * itemOrderを設定します。
     * @param itemOrder itemOrder
     */
    protected void setItemOrder(String itemOrder) {
        this.itemOrder = itemOrder;
    }

    /**
     * itemPrecisionを取得します。
     * @return itemPrecision
     */
    protected String getItemPrecision() {
        return itemPrecision;
    }

    /**
     * itemPrecisionを設定します。
     * @param itemPrecision itemPrecision
     */
    protected void setItemPrecision(String itemPrecision) {
        this.itemPrecision = itemPrecision;
    }

    /**
     * itemTypeを取得します。
     * @return itemType
     */
    protected String getItemType() {
        return itemType;
    }

    /**
     * itemTypeを設定します。
     * @param itemType itemType
     */
    protected void setItemType(String itemType) {
        this.itemType = itemType;
    }

    /**
     * itemValueを取得します。
     * @return itemValue
     */
    protected String getItemValue() {
        return itemValue;
    }

    /**
     * itemValueを設定します。
     * @param itemValue itemValue
     */
    protected void setItemValue(String itemValue) {
        this.itemValue = itemValue;
    }

    /**
     * parentEtcIdを取得します。
     * @return parentEtcId
     */
    protected String getParentEtcId() {
        return parentEtcId;
    }

    /**
     * parentEtcIdを設定します。
     * @param parentEtcId parentEtcId
     */
    protected void setParentEtcId(String parentEtcId) {
        this.parentEtcId = parentEtcId;
    }

    /**
     * parentItemTypeを取得します。
     * @return parentItemType
     */
    protected String getParentItemType() {
        return parentItemType;
    }

    /**
     * parentItemTypeを設定します。
     * @param parentItemType parentItemType
     */
    protected void setParentItemType(String parentItemType) {
        this.parentItemType = parentItemType;
    }

    /**
     * parentTaxonomyItemIdを取得します。
     * @return parentTaxonomyItemId
     */
    protected String getParentTaxonomyItemId() {
        return parentTaxonomyItemId;
    }

    /**
     * parentTaxonomyItemIdを設定します。
     * @param parentTaxonomyItemId parentTaxonomyItemId
     */
    protected void setParentTaxonomyItemId(String parentTaxonomyItemId) {
        this.parentTaxonomyItemId = parentTaxonomyItemId;
    }

    /**
     * periodを取得します。
     * @return period
     */
    protected String getPeriod() {
        return period;
    }

    /**
     * periodを設定します。
     * @param period period
     */
    protected void setPeriod(String period) {
        this.period = period;
    }

    /**
     * taxonomyItemIdを取得します。
     * @return taxonomyItemId
     */
    protected String getTaxonomyItemId() {
        return taxonomyItemId;
    }

    /**
     * taxonomyItemIdを設定します。
     * @param taxonomyItemId taxonomyItemId
     */
    protected void setTaxonomyItemId(String taxonomyItemId) {
        this.taxonomyItemId = taxonomyItemId;
    }

    /**
     * unitを取得します。
     * @return unit
     */
    protected String getUnit() {
        return unit;
    }

    /**
     * unitを設定します。
     * @param unit unit
     */
    protected void setUnit(String unit) {
        this.unit = unit;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}